# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]

## 角色用户业务
### 查询角色用户业务列表

**请求URL:** role/user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色用户业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;userId|Long|用户ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色用户业务

**请求URL:** role/user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色用户业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/user/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;roleId|Long|角色ID
&emsp;userId|Long|用户ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":726,
            "roleId":5161,
            "userId":464
        }
}
```

### 保存更新角色用户业务

**请求URL:** role/user/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色用户业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roleId|Long|是|角色ID
userId|Long|是|用户ID

**请求样例:**
```
{
    "roleId":2256,
    "userId":1935
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;userId|Long|用户ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色用户业务

**请求URL:** role/user/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色用户业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/user/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色信息业务

### 查询角色信息业务列表

**请求URL:** role/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;&emsp;customerId|Long|归属客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色信息业务

**请求URL:** role/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|角色名称
&emsp;remark|String|备注
&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;customerId|Long|归属客户ID
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8602,
            "name":"qkzmie",
            "remark":"pgb6gv",
            "roleType":6719,
            "customerId":6933,
            "createTime":"2022-06-14",
            "createUserId":9349,
            "createUserName":"wlyqwt",
            "userType":3431
        }
}
```

### 保存更新角色信息业务

**请求URL:** role/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|角色名称
remark|String|是|备注
roleType|Integer|是|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
customerId|Long|是|归属客户ID
createUserName|String|是|创建用户名称
userType|Integer|是|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**请求样例:**
```
{
    "name":"tttv7y",
    "remark":"d2nvjv",
    "roleType":1097,
    "customerId":1137,
    "createUserName":"jgfn20",
    "userType":5706
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;&emsp;customerId|Long|归属客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色信息业务

**请求URL:** role/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 操作日志业务

### 查询操作日志业务列表

**请求URL:** oper/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询操作日志业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;platformMark|String|平台标识
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;loginName|String|用户登录名
&emsp;&emsp;requestUrl|String|请求地址
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;&emsp;ip|String|操作IP地址
&emsp;&emsp;logDate|Date|操作时间
&emsp;&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看操作日志业务

**请求URL:** oper/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看操作日志业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/oper/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;platformMark|String|平台标识
&emsp;userId|Long|用户id
&emsp;userName|String|用户名称
&emsp;loginName|String|用户登录名
&emsp;requestUrl|String|请求地址
&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;ip|String|操作IP地址
&emsp;logDate|Date|操作时间
&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":143,
            "platformMark":"w5knp2",
            "userId":5679,
            "userName":"t06d2p",
            "loginName":"f1yu7x",
            "requestUrl":"2tg8nz",
            "content":"xv1rmy",
            "ip":"jomh5z",
            "logDate":"2022-06-14",
            "operType":8042
        }
}
```

## 区域信息业务

### 查询区域信息业务列表

**请求URL:** area/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询区域信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键,自增长
&emsp;&emsp;parentId|Long|上级区域ID
&emsp;&emsp;name|String|区域名称
&emsp;&emsp;level|Integer|区域级别，按所处树的节点层次
&emsp;&emsp;code|String|区域编码，按全国省市编码
&emsp;&emsp;contactsPeople|String|区域负责人
&emsp;&emsp;contactsMobile|String|区域负责人电话
&emsp;&emsp;childSize|Long|子区域数量，默认0
&emsp;&emsp;maxChildId|Long|子区域的最大ID，默认0
&emsp;&emsp;status|Integer|状态，0停用，1启用
&emsp;&emsp;remark|String|描述
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;createUserId|Long|创建用户ID
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看区域信息业务

**请求URL:** area/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看区域信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/area/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键,自增长
&emsp;parentId|Long|上级区域ID
&emsp;name|String|区域名称
&emsp;level|Integer|区域级别，按所处树的节点层次
&emsp;code|String|区域编码，按全国省市编码
&emsp;contactsPeople|String|区域负责人
&emsp;contactsMobile|String|区域负责人电话
&emsp;childSize|Long|子区域数量，默认0
&emsp;maxChildId|Long|子区域的最大ID，默认0
&emsp;status|Integer|状态，0停用，1启用
&emsp;remark|String|描述
&emsp;createTime|Date|创建时间
&emsp;updateTime|Date|更新时间
&emsp;createUserId|Long|创建用户ID
&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":154,
            "parentId":8731,
            "name":"hcuerp",
            "level":3642,
            "code":"wy32vp",
            "contactsPeople":"gi8t5w",
            "contactsMobile":"n3w7kh",
            "childSize":7594,
            "maxChildId":4218,
            "status":2142,
            "remark":"4jhiga",
            "createTime":"2022-06-07",
            "updateTime":"2022-06-07",
            "createUserId":6463,
            "createUserName":"njxrtk"
        }
}
```

### 保存更新区域信息业务

**请求URL:** area/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新区域信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
parentId|Long|是|上级区域ID
name|String|是|区域名称
level|Integer|是|区域级别，按所处树的节点层次
code|String|是|区域编码，按全国省市编码
contactsPeople|String|是|区域负责人
contactsMobile|String|是|区域负责人电话
childSize|Long|是|子区域数量，默认0
maxChildId|Long|是|子区域的最大ID，默认0
status|Integer|是|状态，0停用，1启用
remark|String|是|描述
createUserName|String|是|创建用户名称

**请求样例:**
```
{
    "parentId":1752,
    "name":"8bmbcl",
    "level":8839,
    "code":"xjod7d",
    "contactsPeople":"1otoqd",
    "contactsMobile":"i0mahz",
    "childSize":4384,
    "maxChildId":7435,
    "status":613,
    "remark":"51ig15",
    "createUserName":"nqoyw2"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键,自增长
&emsp;&emsp;parentId|Long|上级区域ID
&emsp;&emsp;name|String|区域名称
&emsp;&emsp;level|Integer|区域级别，按所处树的节点层次
&emsp;&emsp;code|String|区域编码，按全国省市编码
&emsp;&emsp;contactsPeople|String|区域负责人
&emsp;&emsp;contactsMobile|String|区域负责人电话
&emsp;&emsp;childSize|Long|子区域数量，默认0
&emsp;&emsp;maxChildId|Long|子区域的最大ID，默认0
&emsp;&emsp;status|Integer|状态，0停用，1启用
&emsp;&emsp;remark|String|描述
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;createUserId|Long|创建用户ID
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除区域信息业务

**请求URL:** area/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除区域信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/area/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 客户管理

### 查询客户管理列表

**请求URL:** customer/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
query|String|否|姓名手机号查询条件
memberLevel|Long|否|会员等级查询条件
customerSrc|Long|否|客户来源查询条件
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "query":"张三",
        "customerSrc":1,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;loginName|String|用户登录账号
&emsp;&emsp;password|String|密码
&emsp;&emsp;memberLevel|Integer|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
&emsp;&emsp;custName|String|客户真实名称
&emsp;&emsp;organization|String|单位名称
&emsp;&emsp;contactTelphone|String|联系电话
&emsp;&emsp;enterpriseConsultant|String|企业顾问
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;sex|Integer|性别
&emsp;&emsp;mailbox|String|邮箱
&emsp;&emsp;job|String|职位
&emsp;&emsp;customerSrc|Long|客户来源
&emsp;&emsp;status|Integer|使用状态，1:正常，0:禁用，默认：0
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|注册时间
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;lastLoginTime|String|最后一次登录时间
&emsp;&emsp;createTimeStr|String|创建时间
&emsp;&emsp;customerDesignPictures|Integer|图片数量
&emsp;&emsp;customerDesignVideos|Integer|视频数量
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看客户管理

**请求URL:** customer/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看客户管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/customer/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;loginName|String|用户登录账号
&emsp;password|String|密码
&emsp;memberLevel|Integer|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
&emsp;custName|String|客户真实名称
&emsp;organization|String|单位名称
&emsp;contactTelphone|String|联系电话
&emsp;enterpriseConsultant|String|企业顾问
&emsp;siteId|Long|站点ID
&emsp;sex|Integer|性别
&emsp;mailbox|String|邮箱
&emsp;job|String|职位
&emsp;customerSrc|Long|客户来源
&emsp;status|Integer|使用状态，1:正常，0:禁用，默认：0
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|注册时间
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3493,
            "loginName":"l484ik",
            "password":"t6xrsp",
            "memberLevel":1448,
            "custName":"oelm1c",
            "organization":"umkwml",
            "contactTelphone":"oljban",
            "enterpriseConsultant":"ee8lxj",
            "siteId":334,
            "sex":1053,
            "mailbox":"0n1im0",
            "job":"ou720h",
            "customerSrc":9810,
            "status":9420,
            "createUserId":409,
            "createTime":"2022-06-07",
            "updateTime":"2022-06-07"
        }
}
```

### 保存更新客户管理

**请求URL:** customer/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
loginName|String|是|用户登录账号
password|String|是|密码
memberLevel|Integer|是|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
custName|String|是|客户真实名称
organization|String|是|单位名称
contactTelphone|String|是|联系电话
enterpriseConsultant|String|是|企业顾问
siteId|Long|是|站点ID
sex|Integer|是|性别
mailbox|String|是|邮箱
job|String|是|职位
customerSrc|Long|是|客户来源
status|Integer|是|使用状态，1:正常，0:禁用，默认：0

**请求样例:**
```
{
    "loginName":"ce8yry",
    "password":"bw9cql",
    "memberLevel":885,
    "custName":"rikz8m",
    "organization":"l8p0vj",
    "contactTelphone":"7chdoj",
    "enterpriseConsultant":"xxgdtv",
    "siteId":2594,
    "sex":8725,
    "mailbox":"hqgg3q",
    "job":"b7lr1o",
    "customerSrc":2915,
    "status":6467,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;loginName|String|用户登录账号
&emsp;&emsp;password|String|密码
&emsp;&emsp;memberLevel|Integer|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
&emsp;&emsp;custName|String|客户真实名称
&emsp;&emsp;organization|String|单位名称
&emsp;&emsp;contactTelphone|String|联系电话
&emsp;&emsp;enterpriseConsultant|String|企业顾问
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;sex|Integer|性别
&emsp;&emsp;mailbox|String|邮箱
&emsp;&emsp;job|String|职位
&emsp;&emsp;customerSrc|Long|客户来源
&emsp;&emsp;status|Integer|使用状态，1:正常，0:禁用，默认：0
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|注册时间
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除客户管理

**请求URL:** customer/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
### 启用客户

**请求URL:** customer/status/enable

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 启用客户

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/status/enable?id=1,2,3'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "msg": "客户管理启用成功!启用条数:1",
    "code": 1,
    "data": {}
}

```
### 启用客户

**请求URL:** customer/status/disable

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 禁用客户

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/status/disable?id=1,2,3'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "msg": "客户管理禁用成功!禁用条数:1",
    "code": 1,
    "data": {}
}

```
## 客户试用申请

### 查询客户试用申请列表

**请求URL:** customer/trial/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户试用申请

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
query|String|否|姓名手机号查询条件
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;memberLevel|Integer|申请会员等级，1：试用客户，2：VIP，3：设计师
&emsp;&emsp;isAccept|Integer|受理状态，0:未受理，1:同意，2:不同意。默认：0
&emsp;&emsp;createUserId|Long|受理用户
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;updateTime|Date|受理时间
&emsp;&emsp;memberLevel|Integer|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
&emsp;&emsp;custName|String|客户真实名称
&emsp;&emsp;organization|String|单位名称
&emsp;&emsp;contactTelphone|String|联系电话
&emsp;&emsp;mailbox|String|邮箱地址
&emsp;&emsp;applyDate|String|申请时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
        "per_page": 6,
        "total": 1,
        "data": [
            {
                "applyDate": "2022-06-09 16:33:30",
                "contactTelphone": "13888888888",
                "createTime": 1654763610000,
                "createUserId": 1,
                "custName": "测试",
                "customerId": 1,
                "deleted": 0,
                "id": 1,
                "isAccept": 1,
                "job": "总监",
                "mailbox": "qqq@123.com",
                "memberLevel": 2,
                "organization": "测试公司"
            }
        ],
        "last_page": 1,
        "pageInfo": {
            "beginIndex": 0,
            "countPage": true,
            "currPage": 1,
            "displayPageSize": 5,
            "hasNextPage": false,
            "hasPrePage": false,
            "prePageResult": 6,
            "totalPage": 1,
            "totalResult": 1
        },
        "current_page": 1
    },
    "dict": {
        "memberLevel": {
            "1": "试用客户",
            "2": "VIP客户",
            "3": "设计师"
        },
        "isAccept": {
            "0": "未受理",
            "1": "同意",
            "2": "不同意"
        }
    }
}
```

### 查看客户试用申请

**请求URL:** customer/trial/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看客户试用申请，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/customer/trial/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;customerId|Long|客户ID
&emsp;memberLevel|Integer|申请会员等级，1：试用客户，2：VIP，3：设计师
&emsp;isAccept|Integer|受理状态，0:未受理，1:同意，2:不同意。默认：0
&emsp;createUserId|Long|受理用户
&emsp;createTime|Date|提交时间
&emsp;updateTime|Date|受理时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8871,
            "customerId":2228,
            "memberLevel":2071,
            "isAccept":8450,
            "createUserId":6731,
            "createTime":"2022-06-07",
            "updateTime":"2022-06-07"
        }
}
```

### 保存更新客户试用申请

**请求URL:** customer/trial/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户试用申请：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
customerId|Long|是|客户ID
memberLevel|Integer|是|申请会员等级，1：试用客户，2：VIP，3：设计师
isAccept|Integer|是|受理状态，0:未受理，1:同意，2:不同意。默认：0

**请求样例:**
```
{
    "customerId":6633,
    "memberLevel":5866,
    "isAccept":6478,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;memberLevel|Integer|申请会员等级，1：试用客户，2：VIP，3：设计师
&emsp;&emsp;isAccept|Integer|受理状态，0:未受理，1:同意，2:不同意。默认：0
&emsp;&emsp;createUserId|Long|受理用户
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;updateTime|Date|受理时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除客户试用申请

**请求URL:** customer/trial/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户试用申请

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/trial/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
### 客户试用申请处理

**请求URL:** customer/trial/accept

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户试用申请：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|是|客户试用申请主键
loginName|String|否|登陆账号
password|String|否|登陆密码
isAccept|Integer|是|受理状态，0:未受理，1:同意，2:不同意。默认：0

**请求样例:**
```
{
    "id": 1,
    "loginName": "zhangsan",
    "password": "111111",
    "isAccept": 2
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;memberLevel|Integer|申请会员等级，1：试用客户，2：VIP，3：设计师
&emsp;&emsp;isAccept|Integer|受理状态，0:未受理，1:同意，2:不同意。默认：0
&emsp;&emsp;createUserId|Long|受理用户
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;updateTime|Date|受理时间

**响应消息样例:**
```
{
    "code": 1,
    "msg":"成功",
    "data": {},
    "dict": {
        "memberLevel": {
            "1": "试用客户",
            "2": "VIP客户",
            "3": "设计师"
        },
        "isAccept": {
            "0": "未受理",
            "1": "同意",
            "2": "不同意"
        }
    }
}

```
## 客户作品统计

### 查询客户作品统计列表

**请求URL:** customer/work/design/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户作品统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;customerDesignPictures|Integer|客户设计图片数量
&emsp;&emsp;customerDesignVideos|Integer|客户设计视频数量
&emsp;&emsp;createTime|Date|注册时间
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看客户作品统计

**请求URL:** customer/work/design/stat/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看客户作品统计，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/customer/work/design/stat/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;customerId|Long|客户ID
&emsp;customerDesignPictures|Integer|客户设计图片数量
&emsp;customerDesignVideos|Integer|客户设计视频数量
&emsp;createTime|Date|注册时间
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8363,
            "customerId":2122,
            "customerDesignPictures":3742,
            "customerDesignVideos":3563,
            "createTime":"2022-06-07",
            "updateTime":"2022-06-07"
        }
}
```

### 保存更新客户作品统计

**请求URL:** customer/work/design/stat/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户作品统计：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
customerId|Long|是|客户ID
customerDesignPictures|Integer|是|客户设计图片数量
customerDesignVideos|Integer|是|客户设计视频数量

**请求样例:**
```
{
    "customerId":1077,
    "customerDesignPictures":9239,
    "customerDesignVideos":8101,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;customerDesignPictures|Integer|客户设计图片数量
&emsp;&emsp;customerDesignVideos|Integer|客户设计视频数量
&emsp;&emsp;createTime|Date|注册时间
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除客户作品统计

**请求URL:** customer/work/design/stat/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户作品统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/work/design/stat/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 客户作品信息

### 查询客户作品信息列表

**请求URL:** customer/work/design/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户作品信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|收藏时间
&emsp;&emsp;masterplateId|Long|模版ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看客户作品信息

**请求URL:** customer/work/design/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看客户作品信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/customer/work/design/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;customerId|Long|客户ID
&emsp;createTime|Date|收藏时间
&emsp;masterplateId|Long|模版ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2739,
            "customerId":7423,
            "createTime":"2022-06-07",
            "masterplateId":4628
        }
}
```

### 保存更新客户作品信息

**请求URL:** customer/work/design/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户作品信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
customerId|Long|是|客户ID
masterplateId|Long|是|模版ID

**请求样例:**
```
{
    "customerId":2890,
    "masterplateId":6167
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|收藏时间
&emsp;&emsp;masterplateId|Long|模版ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除客户作品信息

**请求URL:** customer/work/design/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户作品信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/work/design/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 模版管理

### 查询模版管理列表

**请求URL:** design/masterplate/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询模版管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
masterplateName|String|否|模板名称
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "masterplateName":"test",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;masterplateName|Long|模版名称
&emsp;&emsp;masterplateCode|Integer|模版编码
&emsp;&emsp;customerId|Long|发布人
&emsp;&emsp;customerName|String|发布人名称
&emsp;&emsp;createTime|Date|发布时间
&emsp;&emsp;masterplateDesc|String|模版描述
&emsp;&emsp;masterplatePath|String|模版下载地址（相对地址）
&emsp;&emsp;pictureId|Long|模版引用的图片
&emsp;&emsp;pictureSrcId|Long|模版引用的素材
&emsp;&emsp;pictureBackgroundId|Long|模版引用的背景
&emsp;&emsp;fontId|Long|模版引用的字体
&emsp;&emsp;masterplateUseNum|Integer|模版被引用的次数。默认：0
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看模版管理

**请求URL:** design/masterplate/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看模版管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/design/masterplate/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;masterplateName|Long|模版名称
&emsp;masterplateCode|Integer|模版编码
&emsp;customerId|Long|发布人
&emsp;customerName|String|发布人名称
&emsp;createTime|Date|发布时间
&emsp;masterplateDesc|String|模版描述
&emsp;masterplatePath|String|模版下载地址（相对地址）
&emsp;pictureId|Long|模版引用的图片
&emsp;pictureSrcId|Long|模版引用的素材
&emsp;pictureBackgroundId|Long|模版引用的背景
&emsp;fontId|Long|模版引用的字体
&emsp;masterplateUseNum|Integer|模版被引用的次数。默认：0
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3739,
            "masterplateName":5324,
            "masterplateCode":991,
            "customerId":3972,
            "customerName":"h63heb",
            "createTime":"2022-06-07",
            "masterplateDesc":"vie8gy",
            "masterplatePath":"728s32",
            "pictureId":2124,
            "pictureSrcId":1697,
            "pictureBackgroundId":5464,
            "fontId":6997,
            "masterplateUseNum":1164
        }
}
```

### 保存更新模版管理

**请求URL:** design/masterplate/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新模版管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
masterplateName|Long|是|模版名称
masterplateCode|Integer|是|模版编码
customerId|Long|是|发布人
customerName|String|是|发布人名称
masterplateDesc|String|是|模版描述
masterplatePath|String|是|模版下载地址（相对地址）
pictureId|Long|是|模版引用的图片
pictureSrcId|Long|是|模版引用的素材
pictureBackgroundId|Long|是|模版引用的背景
fontId|Long|是|模版引用的字体
masterplateUseNum|Integer|是|模版被引用的次数。默认：0

**请求样例:**
```
{
    "masterplateName":3572,
    "masterplateCode":6224,
    "customerId":4597,
    "customerName":"p7t0cu",
    "masterplateDesc":"fv1y8x",
    "masterplatePath":"rvy160",
    "pictureId":764,
    "pictureSrcId":3006,
    "pictureBackgroundId":1837,
    "fontId":5208,
    "masterplateUseNum":5382
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;masterplateName|Long|模版名称
&emsp;&emsp;masterplateCode|Integer|模版编码
&emsp;&emsp;customerId|Long|发布人
&emsp;&emsp;customerName|String|发布人名称
&emsp;&emsp;createTime|Date|发布时间
&emsp;&emsp;masterplateDesc|String|模版描述
&emsp;&emsp;masterplatePath|String|模版下载地址（相对地址）
&emsp;&emsp;pictureId|Long|模版引用的图片
&emsp;&emsp;pictureSrcId|Long|模版引用的素材
&emsp;&emsp;pictureBackgroundId|Long|模版引用的背景
&emsp;&emsp;fontId|Long|模版引用的字体
&emsp;&emsp;masterplateUseNum|Integer|模版被引用的次数。默认：0

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除模版管理

**请求URL:** design/masterplate/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除模版管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/design/masterplate/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 模版使用信息

### 查询模版使用信息列表

**请求URL:** masterplate/use/info/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询模版使用信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;masterplateId|Long|模版ID
&emsp;&emsp;customerId|Long|使用人ID
&emsp;&emsp;customerName|String|使用人
&emsp;&emsp;customerTelphone|String|使用人电话
&emsp;&emsp;createTime|Date|使用时间
&emsp;&emsp;customerOrganization|String|使用人单位
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看模版使用信息

**请求URL:** masterplate/use/info/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看模版使用信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/masterplate/use/info/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;masterplateId|Long|模版ID
&emsp;customerId|Long|使用人ID
&emsp;customerName|String|使用人
&emsp;customerTelphone|String|使用人电话
&emsp;createTime|Date|使用时间
&emsp;customerOrganization|String|使用人单位
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3561,
            "masterplateId":2656,
            "customerId":1717,
            "customerName":"yoxp50",
            "customerTelphone":"620s1u",
            "createTime":"2022-06-07",
            "customerOrganization":"tnjilm"
        }
}
```

### 保存更新模版使用信息

**请求URL:** masterplate/use/info/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新模版使用信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
masterplateId|Long|是|模版ID
customerId|Long|是|使用人ID
customerName|String|是|使用人
customerTelphone|String|是|使用人电话
customerOrganization|String|是|使用人单位

**请求样例:**
```
{
    "masterplateId":9714,
    "customerId":9898,
    "customerName":"qvydgg",
    "customerTelphone":"45caxw",
    "customerOrganization":"9poakn"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;masterplateId|Long|模版ID
&emsp;&emsp;customerId|Long|使用人ID
&emsp;&emsp;customerName|String|使用人
&emsp;&emsp;customerTelphone|String|使用人电话
&emsp;&emsp;createTime|Date|使用时间
&emsp;&emsp;customerOrganization|String|使用人单位

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除模版使用信息

**请求URL:** masterplate/use/info/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除模版使用信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/masterplate/use/info/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 字体素材

### 查询字体素材列表

**请求URL:** font/material/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询字体素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;fontName|String|字体名称
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;fontDesc|String|字体描述
&emsp;&emsp;fontPath|String|字体下载地址（相对地址）
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看字体素材

**请求URL:** font/material/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看字体素材，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/font/material/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;fontName|String|字体名称
&emsp;createUserId|Long|上传人
&emsp;createTime|Date|上传时间
&emsp;fontDesc|String|字体描述
&emsp;fontPath|String|字体下载地址（相对地址）
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7597,
            "fontName":"pvtj4a",
            "createUserId":9651,
            "createTime":"2022-06-07",
            "fontDesc":"tuhypa",
            "fontPath":"dug8lu"
        }
}
```

### 保存更新字体素材

**请求URL:** font/material/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新字体素材：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
fontName|String|是|字体名称
fontDesc|String|是|字体描述
fontPath|String|是|字体下载地址（相对地址）

**请求样例:**
```
{
    "fontName":"jl0ole",
    "fontDesc":"t2crnw",
    "fontPath":"c3rwk2"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;fontName|String|字体名称
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;fontDesc|String|字体描述
&emsp;&emsp;fontPath|String|字体下载地址（相对地址）

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除字体素材

**请求URL:** font/material/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除字体素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/font/material/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 图片管理

### 查询图片列表

**请求URL:** picture/material/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询图片素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
pictureClassifyId|Integer|否|分类id
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看图片

**请求URL:** picture/material/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看图片素材，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/picture/material/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;pictureName|String|图片名称
&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;createUserId|Long|上传人
&emsp;createTime|Date|上传时间
&emsp;pictureDesc|String|图片描述
&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9341,
            "pictureName":"6qmm5s",
            "pictureGroupId":7443,
            "pictureClassifyId":8240,
            "createUserId":9070,
            "createTime":"2022-06-07",
            "pictureDesc":"yjnw7d",
            "picturePath":"x9ujzr",
            "pictureType":1898
        }
}
```

### 保存更新图片

**请求URL:** picture/material/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新图片素材：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
pictureName|String|是|图片名称
pictureGroupId|Long|是|图片分组（系统参数中获取，字典数据）
pictureClassifyId|Long|是|图片分类（系统参数中获取，字典数据）
pictureDesc|String|是|图片描述
picturePath|String|是|图片下载地址（相对地址）
pictureType|Integer|是|图片类型，0:普通图片，1：素材，2:背景图片。默认：0

**请求样例:**
```
{
    "pictureName":"j02qry",
    "pictureGroupId":2308,
    "pictureClassifyId":4554,
    "pictureDesc":"ludurj",
    "picturePath":"vaj5fe",
    "pictureType":9733
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除图片

**请求URL:** picture/material/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除图片素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/picture/material/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 素材管理

### 查询素材列表

**请求URL:** element/material/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
pictureClassifyId|Integer|否|分类id
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看素材

**请求URL:** element/material/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看图片素材，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/element/material/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;pictureName|String|图片名称
&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;createUserId|Long|上传人
&emsp;createTime|Date|上传时间
&emsp;pictureDesc|String|图片描述
&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9341,
            "pictureName":"6qmm5s",
            "pictureGroupId":7443,
            "pictureClassifyId":8240,
            "createUserId":9070,
            "createTime":"2022-06-07",
            "pictureDesc":"yjnw7d",
            "picturePath":"x9ujzr",
            "pictureType":1898
        }
}
```

### 保存更新素材

**请求URL:** element/material/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新图片素材：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
pictureName|String|是|图片名称
pictureGroupId|Long|是|图片分组（系统参数中获取，字典数据）
pictureClassifyId|Long|是|图片分类（系统参数中获取，字典数据）
pictureDesc|String|是|图片描述
picturePath|String|是|图片下载地址（相对地址）
pictureType|Integer|是|图片类型，0:普通图片，1：素材，2:背景图片。默认：0

**请求样例:**
```
{
    "pictureName":"j02qry",
    "pictureGroupId":2308,
    "pictureClassifyId":4554,
    "pictureDesc":"ludurj",
    "picturePath":"vaj5fe",
    "pictureType":9733
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除素材

**请求URL:** element/material/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除图片素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/element/material/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 背景管理

### 查询图片列表

**请求URL:** background/material/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询背景图片素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
pictureClassifyId|Integer|否|分类id
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看背景图片

**请求URL:** background/material/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看背景图片素材，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/background/material/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;pictureName|String|图片名称
&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;createUserId|Long|上传人
&emsp;createTime|Date|上传时间
&emsp;pictureDesc|String|图片描述
&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9341,
            "pictureName":"6qmm5s",
            "pictureGroupId":7443,
            "pictureClassifyId":8240,
            "createUserId":9070,
            "createTime":"2022-06-07",
            "pictureDesc":"yjnw7d",
            "picturePath":"x9ujzr",
            "pictureType":1898
        }
}
```

### 保存更新背景图片

**请求URL:** background/material/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新图片素材：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
pictureName|String|是|图片名称
pictureGroupId|Long|是|图片分组（系统参数中获取，字典数据）
pictureClassifyId|Long|是|图片分类（系统参数中获取，字典数据）
pictureDesc|String|是|图片描述
picturePath|String|是|图片下载地址（相对地址）
pictureType|Integer|是|图片类型，0:普通图片，1：素材，2:背景图片。默认：0

**请求样例:**
```
{
    "pictureName":"j02qry",
    "pictureGroupId":2308,
    "pictureClassifyId":4554,
    "pictureDesc":"ludurj",
    "picturePath":"vaj5fe",
    "pictureType":9733
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除背景图片

**请求URL:** background/material/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除图片素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/background/material/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 素材分组管理

### 查询分组列表

**请求URL:** material/group/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询图片素材

**请求参数:**

无

**请求样例:**
```
  {
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键id
&emsp;&emsp;groupCount|Integer|图片数量
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureGroupName|String|图片分组描述
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
        "data": [
            {
                "groupCount": 0,
                "id": 1,
                "pictureGroupId": "1",
                "pictureGroupName": "党政"
            },
            {
                "groupCount": 0,
                "id": 2,
                "pictureGroupId": "2",
                "pictureGroupName": "餐饮"
            },
            {
                "groupCount": 0,
                "id": 3,
                "pictureGroupId": "3",
                "pictureGroupName": "aaa"
            },
            {
                "groupCount": 0,
                "id": 4,
                "pictureGroupId": "4",
                "pictureGroupName": "测试数据"
            }
        ]
    }
}
```

### 添加图片分组

**请求URL:** material/group/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存图片分组

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
paramKey|String|是|图片分组（系统参数中获取，字典数据）
paramValue|String|是|图片分组描述

**请求样例:**
```
{
    "paramKey":"4",
    "paramValue":"测试数据"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1
&emsp;&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
&emsp;&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg": "新增素材分组成功",
    "code": 1,
    "data": {
        "id": 5,
        "entity": {
            "createTime": 1655176782431,
            "createUser": "admin",
            "createUserId": 1,
            "createUserName": "系统管理员a",
            "deleted": 0,
            "firstOrganize": "PictureMaterial",
            "id": 5,
            "name": "素材分组",
            "paramKey": "5",
            "paramValue": "测试数据啊",
            "secondOrganize": "pictureGroupId",
            "updateTime": 1655176782431,
            "updateUser": "admin",
            "updateUserId": 1,
            "updateUserName": "系统管理员a"
        }
    }
}

```

### 删除图片分组

**请求URL:** material/group/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除图片分组

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|主键id而非paramKey数组

**请求样例:**
```
    http://localhost:8080/eas/material/group/delete/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
